Bug 204049 - CVE-2006-3918 Expect header XSS
CVE-2006-3918 Expect header XSS
Status: CLOSED DUPLICATE of bug 207922
Product: Stronghold for Red Hat Linux
Classification: Retired
Component: stronghold-apache (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Stronghold Engineering List
public=20060508,source=asf,impact=mod...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-25 05:18 EDT by Mark J. Cox (Product Security)
Modified: 2007-04-18 13:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-30 10:39:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-08-25 05:18:58 EDT
+++ This bug was initially created as a clone of Bug #204048 +++

In May 2006 a reporter found a bug in Apache where an invalid Expect header sent
to the server (Apache 1.3.3 onwards) would be returned to the user in an error
message, unescaped.  This could allow a cross-site scripting attack only if a
victim can tricked into connecting to a site and sending such a carefully
crafted Expect header.  Whist browsers do not provide this functionality, it was
recently discovered that Flash allows you to make a connection with arbitrary
headers.  The attack mechanism is therefore:

1. User is tricked into visiting a malicious web site with a flash-enabled browser
2. Malicious web site uses a flash movie to make a connection to the target site
with custom Expect header
3. This results in cross-site scripting (attacker could steal your cookies from
the third party site, or inject content etc)

On http 2.0 versions the cross-site scripting does not happen immediately, step 
is delayed until the Apache server times out.  On a default installation this
could be 2-5 minutes.  Therefore the attack is less likely to succeed.

Patch:
http://svn.apache.org/viewcvs?rev=394965&view=rev [1.3]
http://svn.apache.org/viewcvs?rev=395172&view=rev [2.0]
Comment 1 Joe Orton 2007-01-30 10:39:52 EST

*** This bug has been marked as a duplicate of 207922 ***

Note You need to log in before you can comment on or make changes to this bug.